#ifndef __ANFIBIONATIVO_H__
#define __ANFIBIONATIVO_H__

#include "anfibio.h"
#include "animalnativo.h"

/* @brief Classe AnfibioNativo, que modela um  Anfíbio do tipo Nativo, que toma Anfibio e AnimalNativo
*				  como classes pai a herdar seus atributos
* @param 	Métodos públicos:
*					friend std::ostream& operator<< (std::ostream &output, AnfibioNativo const anfnat) Sobrecarga do operador de inserção para animal do tipo AnfibioNativo
*					AnfibioNativo - Construtor cria um animal do tipo AnfíbioNativo
*
*/
class AnfibioNativo: public Anfibio, AnimalNativo {
	private:

	public:
		friend std::ostream& operator<< (std::ostream &output, AnfibioNativo const anfnat);
		AnfibioNativo(int identity, string clas, string name, string scientific, char sex, float size,
    				string diet, string baptism, Veterinario vet, Tratador caretaker,
    				int total_changes, string last_change, string biernr, string origin_state, string authorization);
    AnfibioNativo();

};

#endif
