#ifndef __AVEEXOTICA_H__
#define __AVEEXOTICA_H__

#include "ave.h"
#include "animalsilvestre.h"
#include "animalexotico.h"


/* @brief Classe AveExotica, que modela uma  Ave do tipo Exotico, que toma Ave, AnimalSilvestre e AnimalExotico
*				  como classes pai a herdar seus atributos
* @param 	Métodos públicos:
*					friend std::ostream& operator<< (std::ostream &output, AveExotica const aveexo) Sobrecarga do operador de inserção para animal do tipo AnfibioExotico
*					AveExotica - Construtor cria um animal do tipo AveExotica
*
*/
class AveExotica: public Ave, AnimalSilvestre, AnimalExotico {
	private:

	public:
		friend std::ostream& operator<< (std::ostream &output, AnfibioExotico const anfexo);
		AveExotica(int identity, string clas, string name, string scientific, char sex, float size,
    				string diet, string baptism, Veterinario vet, Tratador caretaker,
    				int beak_size, int wingspan, string biernr, string origin_country);
    AveExotica();

};

#endif
