#ifndef __MAMIFERO_H__
#define __MAMIFERO_H__
#include "animal.h"
#include <fstream>



/* @brief Classe Mamifero, que modela um animal do tipo Mamifero, que toma Animal como classe pai a herdar seus atributos
* @param 	Atributos privados:
* 				cor_pelo - cor do pelo
*					virtual std::ostream& print(std::ostream&) const = 0
*					Métodos públicos:
*					getCor_pelo - retorna a cor do pelo
*					setCor_pelo - modifica a cor do pelo
*					Mamifero - Construtor cria um animal do tipo Mamífero, que toma Animal como classe pai a herdar seus atributos
*
*/

class Mamifero: public Animal{
	private:
		string cor_pelo;
		virtual std::ostream& print(std::ostream&) const = 0

	public:
		string getCor_pelo();
		void setCor_pelo(string fur_color);
		Mamifero(int identity, string clas, string name, string scientific, char sex, float size, string diet, string baptism, Veterinario vet, Tratador caretaker, string fur_color);
		friend std::ostream& operator << (std::ostream& output, const Mamifero& m) {
			return m.print(output); // polymorphic print via reference
		}
};

#endif
