#ifndef __MAMIFERONATIVO_H__
#define __MAMIFERONATIVO_H__

#include "mamifero.h"
#include "animalsilvestre.h"
#include "animalnativo.h"

/* @brief Classe Mamifero, que modela um  Mamifero do tipo Nativo, que toma Mamifero, AnimalSilvestre e AnimalNativo
*				  como classes pai a herdar seus atributos
* @param 	Métodos públicos:
*					friend std::ostream& operator<< (std::ostream &output, MamiferoNativo const mamnat) Sobrecarga do operador de inserção para animal do tipo MamiferoNativo
*					MamiferoNativo - Construtor cria um animal do tipo MamiferoNativo
*
*/
class MamiferoNativo: public Mamifero, AnimalSilvestre, AnimalNativo {
	private:

	public:
		friend std::ostream& operator<< (std::ostream &output, MamiferoNativo const mamnat);
		MamiferoNativo(int identity, string clas, string name, string scientific, char sex, float size,
    				string diet, string baptism, Veterinario vet, Tratador caretaker,
    				string fur_color, string biernr, string origin_state, string authorization);
    MamiferoNativo();

};

#endif
