#ifndef __REPTIL_H__
#define __REPTIL_H__
#include "animal.h"


/* @brief Classe Reptil, que modela um animal do tipo Réptil, que toma Animal como classe pai a herdar seus atributos
* @param 	Atributos privados:
* 				venenoso - diz se é venenoso ou não
*					envergadura - tipo de veneno que o réptil tem
*					virtual std::ostream& print(std::ostream&) const = 0;
*					Métodos públicos:
*					getVenenoso - retorna se o réptil é venenoso ou não
*					setVenenoso - modifica o estado de 'venenoso'
*					getTipo_veneno - retorna o tipo de veneno
*					setTipo_veneno - modifica o tipo de veneno
*					Reptil - Construtor cria um animal do tipo Reptil, que toma Animal como classe pai a herdar seus atributos
*
*/
class Reptil: public Animal{
	private:
		bool venenoso;
		string tipo_veneno;
		virtual std::ostream& print(std::ostream&) const = 0;

	public:
		bool getVenenoso();
		void setVenenoso(bool isPoisonous);
		string getTipo_veneno();
		void setTipo_veneno(string poison_type);
		Reptil(int identity, string clas, string name, string scientific, char sex, float size, string diet, string baptism, Veterinario vet, Tratador caretaker, bool isPoisonous, string poison_type);
		friend std::ostream& operator << (std::ostream& output, const Reptil& r) {
			return r.print(output); // polymorphic print via reference
		}
};

#endif
