#ifndef __REPTILNATIVO_H__
#define __REPTILNATIVO_H__

#include "reptil.h"
#include "animalsilvestre.h"
#include "animalnativo.h"

/* @brief Classe Reptil, que modela um  Reptil do tipo Nativo, que toma Reptil, AnimalSilvestre e AnimalNativo
*				  como classes pai a herdar seus atributos
* @param 	Métodos públicos:
*					friend std::ostream& operator<< (std::ostream &output, ReptilNativo const repnat) Sobrecarga do operador de inserção para animal do tipo ReptilNativo
*					ReptilNativo - Construtor cria um animal do tipo ReptilNativo
*
*/
class ReptilNativo: public Reptil, AnimalSilvestre, AnimalNativo {
	private:

	public:
		friend std::ostream& operator<< (std::ostream &output, ReptilNativo const repnat);
		ReptilNativo(int identity, string clas, string name, string scientific, char sex, float size,
    				string diet, string baptism, Veterinario vet, Tratador caretaker, bool isPoisonous,
    				string poison_type, string biernr, string origin_state, string authorization);
    ReptilNativo();

};

#endif
