#include "anfibioexotico.h"

/**
* @brief Sobrecarga do operador de inserção para animal do tipo AnfibioExotico
* @param  output - stream de saida
*         anfexo - Objeto do tipo AnfibioExotico
*
*/
std::ostream& operator<< (std::ostream &output, AnfibioExotico const &anfexo) {
	output << anfexo.id >> ";" << anfexo.classe << ";" << anfexo.nome << ";" << anfexo.cientifico << ";" <<
	 	anfexo.sexo << ";" << anfexo.tamanho << ";" << anfexo.dieta << ";" << anfexo.batismo  << ";" << anfexo.veterinario
     << ";" << anfexo.tratador << ";" << anfexo.total_mudas << ";" << anfexo.ultima_muda << ";"
     << anfexo.ibama << ";" << anfexo.pais_origem;

	return output;

	}

	/**
  * @brief Construtor cria um animal do tipo AnfíbioExotico, que toma Anfibio e AnimalExotico como classe pai a herdar seus atributos
  * @param identity - ID, clas - classe do animal, name - nome do animal, scientific - nome científico do animal,
  *					sex - sexo do animal, size - tamanho do animal, diet - dieta do animal,
  * 				baptism - nome de batismo do animal, vet - veterinário associado ao animal,
  *					caretaker - tratador associado ao animal, total_changes - número de mudas do animal,
  *					last_change - ultima muda do animal, biernr - ibama, origin_country - pais de origem de animal
  */
AnfibioExotico(int identity, string clas, string name, string scientific, char sex, float size,
        string diet, string baptism, Veterinario vet, Tratador caretaker,
        int total_changes, string last_change, string biernr, string origin_country):

        Anfibio(identity, clas, name, scientific, sex, size, diet, baptism, vet, caretaker, total_changes, last_change),
        AnimalExotico(biernr, origin_country)
        {}
}
