#include "aveexotica.h"

/**
* @brief Sobrecarga do operador de inserção para animal do tipo AveExotica
* @param  output - stream de saida
*         aveexo - Objeto do tipo AveExotica
*
*/
std::ostream& operator<< (std::ostream &output, AveExotica const &aveexo) {
	output << aveexo.id >> ";" << aveexo.classe << ";" << aveexo.nome << ";" << aveexo.cientifico << ";" <<
	 	aveexo.sexo << ";" << aveexo.tamanho << ";" << aveexo.dieta << ";" << aveexo.batismo  << ";" << aveexo.veterinario
     << ";" << aveexo.tratador << ";" << aveexo.tamanho_bico << ";" << aveexo.envergadura << ";"
     << aveexo.ibama << ";" << aveexo.pais_origem;

	return output;

	}

	/**
  * @brief Construtor cria um animal do tipo AveExotica, que toma Ave, AnimalSilvestre
  *        e AnimalExotico como classe pai a herdar seus atributos
  * @param identity - ID, clas - classe do animal, name - nome do animal, scientific - nome científico do animal,
  *					sex - sexo do animal, size - tamanho do animal, diet - dieta do animal,
  * 				baptism - nome de batismo do animal, vet - veterinário associado ao animal,
  *					caretaker - tratador associado ao animal, beak_size - tamanho do bico,
  *					wingspan - tamanho da envergadura, biernr - ibama, origin_country - pais de origem de animal
  */
AveExotica(int identity, string clas, string name, string scientific, char sex, float size,
        string diet, string baptism, Veterinario vet, Tratador caretaker,
        int beak_size, int wingspan, string biernr, string origin_country):

        Ave(identity, clas, name, scientific, sex, size, diet, baptism, vet, caretaker, beak_size, wingspan),
        AnimalSilvestre(biernr),
        AnimalExotico(origin_country)
        {}
}
