#include "mamiferonativo.h"

/**
* @brief Sobrecarga do operador de inserção para animal do tipo MamiferoNativo
* @param  output - stream de saida
*         mamnat - Objeto do tipo MamiferoNativo
*
*/

std::ostream& operator<< (std::ostream &output, MamiferoNativo const &mamnat) {
	output << mamnat.id >> ";" << mamnat.classe << ";" << mamnat.nome << ";" << mamnat.cientifico << ";" <<
	 	mamnat.sexo << ";" << mamnat.tamanho << ";" << mamnat.dieta << ";" << mamnat.batismo  << ";" << mamnat.veterinario
     << ";" << mamnat.tratador << ";" << mamnat.cor_pelo << ";"  << mamnat.ibama << ";"
     << mamnat.uf_origem << ";" << mamnat.autorizacao;

	return output;

	}

  /**
  * @brief Construtor cria um animal do tipo MamiferoNativo, que toma Mamifero, AnimalSilvestre
  *        e AnimalNativo como classe pai a herdar seus atributos
  * @param identity - ID, clas - classe do animal, name - nome do animal, scientific - nome científico do animal,
  *					sex - sexo do animal, size - tamanho do animal, diet - dieta do animal,
  * 				baptism - nome de batismo do animal, vet - veterinário associado ao animal,
  *					caretaker - tratador associado ao animal, fur_color - cor do pelo do animal,
  *         biernr - ibama, origin_state - estado de origem do animal,
  *         authorization - autorização do animal
  */
MamiferoNativo(int identity, string clas, string name, string scientific, char sex, float size,
        string diet, string baptism, Veterinario vet, Tratador caretaker,string fur_color,
        string biernr, string origin_state, string authorization):

        Mamifero(identity, clas, name, scientific, sex, size, diet, baptism, vet, caretaker, fur_color),
        AnimalSilvestre(biernr),
        AnimalNativo(origin_state, authorization)
        {}
}
